[arch-commits] Commit in harfbuzz/repos (4 files)

Evangelos Foutras foutrelis at archlinux.org
Thu Oct 16 21:11:37 UTC 2014


    Date: Thursday, October 16, 2014 @ 23:11:36
  Author: foutrelis
Revision: 224657

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  harfbuzz/repos/staging-i686/
  harfbuzz/repos/staging-i686/PKGBUILD
    (from rev 224656, harfbuzz/trunk/PKGBUILD)
  harfbuzz/repos/staging-x86_64/
  harfbuzz/repos/staging-x86_64/PKGBUILD
    (from rev 224656, harfbuzz/trunk/PKGBUILD)

-------------------------+
 staging-i686/PKGBUILD   |   51 ++++++++++++++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD |   51 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

Copied: harfbuzz/repos/staging-i686/PKGBUILD (from rev 224656, harfbuzz/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2014-10-16 21:11:36 UTC (rev 224657)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=0.9.35
+pkgrel=2
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection python2)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('0aa1a8aba6f502321cf6fef3c9d2c73dde48389c5ed1d3615a7691944c2a06ed')
+
+build() {
+  cd $pkgbase-$pkgver
+  ./configure --prefix=/usr \
+    --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+    --with-gobject
+  make
+}
+
+check() {
+  cd $pkgbase-$pkgver
+  make -k check || :
+}
+
+package_harfbuzz() {
+  depends=(glib2 freetype2 graphite)
+  optdepends=('cairo: hb-view program')
+
+  cd $pkgbase-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+  mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+  mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+  mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+  mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+  pkgdesc="$pkgdesc (ICU integration)"
+  depends=(harfbuzz icu)
+
+  mv hb-icu/* "$pkgdir"
+
+  install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}

Copied: harfbuzz/repos/staging-x86_64/PKGBUILD (from rev 224656, harfbuzz/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2014-10-16 21:11:36 UTC (rev 224657)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=0.9.35
+pkgrel=2
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection python2)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('0aa1a8aba6f502321cf6fef3c9d2c73dde48389c5ed1d3615a7691944c2a06ed')
+
+build() {
+  cd $pkgbase-$pkgver
+  ./configure --prefix=/usr \
+    --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+    --with-gobject
+  make
+}
+
+check() {
+  cd $pkgbase-$pkgver
+  make -k check || :
+}
+
+package_harfbuzz() {
+  depends=(glib2 freetype2 graphite)
+  optdepends=('cairo: hb-view program')
+
+  cd $pkgbase-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+  mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+  mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+  mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+  mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+  pkgdesc="$pkgdesc (ICU integration)"
+  depends=(harfbuzz icu)
+
+  mv hb-icu/* "$pkgdir"
+
+  install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}



More information about the arch-commits mailing list